%global pypi_name pytest-checkdocs

Name:           python-%{pypi_name}
Version:        2.7.1
Release:        %mkrel 5
Summary:        check the README when running tests
License:        ASL 2.0
Group:          Development/Python
URL:            https://pypi.org/project/pytest-checkdocs/
Source0:        %{pypi_source}
BuildArch:      noarch

%description
A pytest plugin that checks the long description of the project to ensure it
renders properly.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(toml)

%description -n python3-%{pypi_name}
A pytest plugin that checks the long description of the project to ensure it
renders properly.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE CHANGES.rst
%{python3_sitelib}/pytest_checkdocs
%{python3_sitelib}/pytest_checkdocs-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.7.1-5.mga10
+ Revision: 2241290
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 2.7.1-4.mga10
+ Revision: 2158484
- rebuild for python3.13

* Fri Dec 08 2023 wally <wally> 2.7.1-3.mga10
+ Revision: 2015712
- rebuild for py3.12

* Thu Mar 24 2022 umeabot <umeabot> 2.7.1-2.mga9
+ Revision: 1824785
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 2.7.1-1.mga9
+ Revision: 1775782
- verison 2.7.1
- rebuild for python-3.10

* Sat Mar 20 2021 guillomovitch <guillomovitch> 2.4.0-2.mga9
+ Revision: 1706018
- rebuild for python 3.9

* Thu Mar 11 2021 guillomovitch <guillomovitch> 2.4.0-1.mga9
+ Revision: 1701594
- new version 2.4.0

* Tue Nov 10 2020 guillomovitch <guillomovitch> 2.1.1-1.mga8
+ Revision: 1644320
- imported package python-pytest-checkdocs

